#!/usr/bin/python
import sys

# Wir arbeiten mit 3 Arten von Keys:
# database_size --- zum zaehlen der Datenbankgroesse
# class_XYZ     --- zum zaehlen der Klassengroesse
# aIII=ABC_XYZ  --- Haeufigkeit von Auspraegung x_i=ABC in Klasse XYZ

# Mit einer einfachen Division im Endergebnis koennen damit
# einfach berechnet werden: P(XYZ), und P(aIII=ABC | XYZ)
# Mehr brauchen wir nicht fuer Naive Bayes, und das sind auch viel weniger
# Daten - passen in den Hauptspeicher

def mapper(record):
	print "database_size\t1"
	# Der letzte Wert in rec ist die Klasse!
	print "class_" + rec[-1] + "\t1"
	for i in range(len(rec)-1):
		print "a" + str(i) + "=" + rec[i] + "_" + rec[-1] + "\t1"

##### Ab hier: Hadoop streaming - ein Record pro Zeile.
for line in sys.stdin:
	rec = line.strip().split("\t")
	mapper(rec)
