#!/usr/bin/python
import sys

def reduce(key, values):
	sum = 0
	for v in values:
		sum += int(v)
	print key + "\t" + str(sum)

########## Ab hier: speziell fuer Hadoop streaming!
# Die Eingabe darf bei Hadoop Streaming
# die values auch in mehreren Zeilen haben.
# Hier sammeln wir sie einfach erst auf, und verarbeiten sie
# immer wenn wir einen _neuen_ key sehen.
key, values = None, []
for line in sys.stdin:
	data = line.strip().split("\t")
	if data[0] != key:
		if key: reduce(key, values)
		key, values = data[0], []
	values.extend(data[1:])
# letzten Puffer nicht vergessen:
if key: reduce(key, values)
